{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionReceta/" method="post" enctype="multipart/form-data" id="frm_nuevo_receta">
        {% csrf_token %}
        <h6 class="blanco-text">Platillo:</h6>
        <select class="form-control blanco-text" name="id_pla" id="id_pla" required>
            <option value="">--Seleccione el Platillo--</option>
            {% for platillo in platillos %}
              <option value="{{platillo.id_bf}}">{{platillo.nombre_bf}}</option>
            {% endfor %}
        </select>
        <br>
        <h6 class="blanco-text">Ingredientes:</h6>
        <select class="form-control blanco-text" name="id_ing" id="id_ing" required>
            <option value="">--Seleccione Los Ingredientes--</option>
            {% for ingrediente in ingredientes %}
              <option value="{{ingrediente.id_bf}}">{{ingrediente.nombre_bf}}</option>
            {% endfor %}
        </select>
        <script type="text/javascript">
            document.getElementById("id_pla").value = "{{ receta.platillo.id_bf }}";
            document.getElementById("id_ing").value = "{{ receta.ingrediente.id_bf }}";
        </script>
        <br>
        <input type="hidden" name="imagen_actual" id="imagen_actual" value="{{ receta.bafa_patente.name }}">
        <input type="hidden" name="id_bf" value="{{receta.id_bf}}">
        <br>
        <h6 class="blanco-text">Cantidad Necesario</h6>
        <input type="text" name="cantidad_necesaria_bf" id="cantidad_necesaria_bf" value="{{receta.cantidad_necesaria_bf}}" step="0.01" class="form-control" required>
        <br>
        <h6 class="blanco-text">Apellido:</h6>
        <input type="text" name="tiempo_prepraracion_bf" id="tiempo_prepraracion_bf" value="{{receta.tiempo_prepraracion_bf}}" class="form-control" required>
        <br>
        <h6 class="blanco-text">INSTRUCCIONES:</h6>
        <textarea name="instrucciones_bf" id="instrucciones_bf" cols="3" class="form-control">{{receta.instrucciones_bf}}</textarea>
        <br>
        <b class="blanco-text">Fecha de Creacion:</b>
        <textarea name="comentario_bf" id="comentario_bf" cols="3" class="form-control">{{receta.comentario_bf}}</textarea>
        <br>
        <div class="mb-3">
            <label for="bafa_nombre_pais" class="form-label blanco-text">Ingrese el nombre del Pais:</label>
            <input type="text" name="bafa_nombre_pais" id="bafa_nombre_pais" class="form-control" placeholder="Ingrese el Nombre del Pais" value="{{receta.bafa_nombre_pais}}" required>
        </div>
        <div class="mb-3">
            <label for="bafa_patente" class="form-label blanco-text">Fotografía:</label>
            <br>
            {% if receta.bafa_patente %}
                <img src="{{ receta.bafa_patente.url }}" alt="Imagen actual" width="300px">
            {% endif %}
            <input type="file" name="bafa_patente" id="bafa_patente" accept="image/*" class="form-control">
        </div>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'recetas' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
    $("#frm_nuevo_receta").validate({
        rules:{
            "id_pla":{
                required:true
            },
            "id_ing":{
                required:true
            },
            "cantidad_necesaria_bf":{
                required:true,
                number:true
            },
            "tiempo_prepraracion_bf":{
                required:true
            },
            "instrucciones_bf":{
                required:true
            },
            "comentario_bf":{
                required:true
            },
            "bafa_nombre_pais":{
                required:true,
                soloLetras: true
            }
        },
        messages:{
            "id_pla":{
                required:"Por favor seleccione un Platillo"
            },
            "id_ing":{
                required:"Por favor seleccione un Ingrediente"
            },
            "cantidad_necesaria_bf":{
                required:"Por favor ingrese una Cantidad",
                number:"Ingrese solo números"
            },
            "tiempo_prepraracion_bf":{
                required:"Por favor ingrese un Tiempo de Preparación"
            },
            "instrucciones_bf":{
                required:"Por favor ingrese instrucciones"
            },
            "comentario_bf":{
                required:"Debe ingresar un comentario"
            },
            "bafa_nombre_pais":{
                required:"Debe ingresar un nombre del pais",
                soloLetras: "Solo se permiten letras en este campo"
            },
            "bafa_patente":{
                required:"Debe ingresar una imagen valida"
            }
        }
    });
</script>

<script type="text/javascript">
    $(document).ready(function() {
        // Agrega el método de validación personalizado
        $.validator.addMethod("soloLetras", function(value, element) {
            return /^[a-zA-Z\s]+$/.test(value);
        }, "Solo se permiten letras en este campo");

        // Inicializa el DataTable
        $('#tbl_receta').DataTable({
            dom: 'Bfrtip',
            language: {
                url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
            },
            buttons: [
                {
                    extend: 'pdfHtml5',
                    text: '<i class="fa fa-file-pdf-o"></i> PDF',
                    titleAttr: 'Exportar a PDF',
                    className: 'btn btn-danger', // Clase de estilo para el botón
                    title: 'LISTADO RECETAS'
                },
                {
                    extend: 'print',
                    text: '<i class="fa fa-print"></i> Imprimir',
                    titleAttr: 'Imprimir',
                    className: 'btn btn-primary' // Clase de estilo para el botón
                },
                {
                    extend: 'csv',
                    text: '<i class="fa fa-file-text-o"></i> CSV',
                    titleAttr: 'Exportar a CSV',
                    className: 'btn btn-success' // Clase de estilo para el botón
                }
            ]
        });

        // Inicializa la validación del formulario
        $("#tu_formulario").validate({
            rules: {
                "bafa_nombre_pais": {
                    required: true,
                    soloLetras: true  // Agrega la regla personalizada
                }
                // Agrega otras reglas de validación según sea necesario
            },
            messages: {
                "bafa_nombre_pais": {
                    required: "Por favor, ingrese el nombre del país",
                    soloLetras: "Solo se permiten letras en este campo"
                }
                // Agrega mensajes de error personalizados para otras reglas si es necesario
            }
        });
    });
</script>

{% endblock %}
